<div>
  <a [routerLink]="['/admin']" class="home"
    ><mat-icon>admin_panel_settings</mat-icon></a
  >
</div>
<div class="d-flex justify-content-around">
  <div *ngIf="isLoaded" class="all-products w-50 ml-2">
    <h1>All products</h1>
    <div *ngFor="let product of products">
      <div class="product d-flex justify-content-around mt-4">
        <div class="product-left d-flex flex-column w-50">
          <b>{{ product.title }}</b>
          <i>${{ product.price }}</i>
        </div>
        <div class="product-right">
          <img [src]="url + product.picture_path" alt="image" />
          <button mat-icon-button (click)="toRecommend(product)">
            <mat-icon style="color: #29e029">add_circle_outline</mat-icon>
          </button>
        </div>
      </div>
    </div>
  </div>
  <div *ngIf="isRecommendedProductsLoaded" class="recommended-products w-50 pl-4">
    <h1>Recommended products</h1>
    <div *ngFor="let product of recommendedProducts">
      <div class="product d-flex justify-content-around mr-2 mt-4">
        <div class="product-left d-flex flex-column w-50">
          <b>{{ product.title }}</b>
          <i>${{ product.price }}</i>
        </div>
        <div class="product-right">
          <img [src]="url + product.picture_path" alt="image" />
          <button
            mat-icon-button
            (click)="removeFromRecommendation(product)"
          >
            <mat-icon style="color: #d40a0a">remove_circle_outline</mat-icon>
          </button>
        </div>
      </div>
    </div>
  </div>
</div>

<div
  class="d-flex justify-self-center align-self-center h-100"
  *ngIf="!isLoaded"
>
  <mat-spinner style="margin: 0 auto"></mat-spinner>
</div>
